
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #240

Memory leakage

January 12, 2013 09:19 - Alexandr Smalcom

Status: Rejected Start date: January 12, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.3.3   

Description

In one-two days audacious can eat 1-1.5GB of RAM

System:

Arch Linux 3.6.11-1-ARCH #1 SMP PREEMPT Tue Dec 18 08:57:15 CET 2012 x86_64

audacious-3.3.3-1

cairo 1.12.8-2

History

#1 - January 13, 2013 18:26 - John Lindgren

This looks like a Cairo bug.

Quote:

==7877== 9,428,736 bytes in 36,831 blocks are definitely lost in loss record 10,846 of 10,847

==7877==    at 0x4C2C04B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)

==7877==    by 0xB578C5A: ??? (in /usr/lib/libpixman-1.so.0.28.2)

==7877==    by 0xB547877: ??? (in /usr/lib/libpixman-1.so.0.28.2)

==7877==    by 0x8AF4239: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8AF4B16: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8AF4BB9: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8AEF770: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8AD5945: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8AD631A: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8A80C30: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8AC3AE0: ??? (in /usr/lib/libcairo.so.2.11200.8)

==7877==    by 0x8AC8835: ??? (in /usr/lib/libcairo.so.2.11200.8)

#2 - January 13, 2013 23:00 - John Lindgren

What is the output of:

cat /proc/`pidof audacious`/status
#3 - January 14, 2013 00:09 - John Lindgren

- Status changed from New to Rejected

This is most definitely a bug in Cairo:

https://bugzilla.redhat.com/show_bug.cgi?id=882976

http://cgit.freedesktop.org/cairo/commit?id=5d21c9e224617110678a5b854a6a41049a02fca2

#4 - January 14, 2013 13:01 - Alexandr Smalcom

You are right. Tjx.

I've built and installed last version of pixman and cairo from git. And all good at now.
